Bug 1180234 (CVE-2014-3571)

Summary: CVE-2014-3571 openssl: DTLS segmentation fault in dtls1_get_record
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: Andreas.Lehr, carnil, cdewolf, chrisw, dandread, darran.lofthouse, erich, grocha, inode0, jason.greene, jawilson, jbuchta, jclere, jdoyle, john.haxby, lgao, myarboro, nlevinki, pgier, pslavice, rfortier, rhs-bugs, rsvoboda, tmraz, twalsh, vbellur, vtunka, weli, yqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150108,reported=20150108,source=upstream,cvss2=5/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-all/openssl=affected,rhel-5/openssl=wontfix,rhel-5/openssl097a=notaffected,rhel-6/openssl=affected,rhel-6/openssl098e=wontfix,rhel-7/openssl=affected,rhel-7/openssl098e=wontfix,jbews-1/openssl=wontfix,rhes-2.1/openssl=affected
Fixed In Version: OpenSSL 1.0.1k, OpenSSL 1.0.0p, OpenSSL 0.9.8zd Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the DTLS implementation of OpenSSL. A remote attacker could send a specially crafted DTLS message, which would cause an OpenSSL server to crash.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1181013, 1181015, 1181016, 1181017, 1181018    
Bug Blocks: 1180194    

Description Vasyl Kaigorodov 2015-01-08 16:46:19 UTC
OpenSSL released security advisory [1] which fixes the below issue:

A carefully crafted DTLS message can cause a segmentation fault in OpenSSL due
to a NULL pointer dereference. This could lead to a Denial Of Service attack.

[1]: https://www.openssl.org/news/secadv_20150108.txt

Comment 2 Huzaifa S. Sidhpurwala 2015-01-12 08:29:05 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1181013]

Comment 4 Fedora Update System 2015-01-13 00:02:28 UTC
openssl-1.0.1k-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Huzaifa S. Sidhpurwala 2015-01-16 04:14:15 UTC
Statement:

This issue does not affect the version of openssl097a as shipped with Red Hat Enterprise Linux 5. This issue affects the version of openssl098e as shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has rated this issue as having Moderate security impact and does not plan to address this flaw for the above components in any future security updates.

This issue affects the version of openssl as shipped with Red Hat Enterprise Linux 5. Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 8 Fedora Update System 2015-01-20 21:05:58 UTC
openssl-1.0.1e-41.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 John T. Rose 2015-01-20 21:25:40 UTC
(In reply to Huzaifa S. Sidhpurwala from comment #6)
> Statement:
> 
> This issue does not affect the version of openssl097a as shipped with Red
> Hat Enterprise Linux 5. This issue affects the version of openssl098e as
> shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has
> rated this issue as having Moderate security impact and does not plan to
> address this flaw for the above components in any future security updates.

This seems to say that this issue won't be addressed in RHEL6 or RHEL7 however the released errata states that it was resolved.

https://rhn.redhat.com/errata/RHSA-2015-0066.html

Which is correct?

Comment 10 Tomas Hoger 2015-01-20 22:20:05 UTC
RHSA-2015:0066 updates openssl packages.  Quoted statement is for openssl097a and openssl098e compatibility packages.

Comment 11 John T. Rose 2015-01-20 22:22:27 UTC
Oh, of course. I understand now. Thanks.

Comment 12 errata-xmlrpc 2015-01-21 21:29:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0066 https://rhn.redhat.com/errata/RHSA-2015-0066.html